Bug 1148232 (CVE-2014-3677) - CVE-2014-3677 shim: memory corruption flaw when processing Machine Owner Keys (MOKs)
Summary: CVE-2014-3677 shim: memory corruption flaw when processing Machine Owner Keys...
Status: CLOSED ERRATA
Alias: CVE-2014-3677
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141013,repor...
Keywords: Security
Depends On: 1148239 1148240 1152388
Blocks: 1148235
TreeView+ depends on / blocked
 
Reported: 2014-10-01 02:45 UTC by Murray McAllister
Modified: 2015-11-25 10:13 UTC (History)
7 users (show)

(edit)
An out-of-bounds memory write flaw was found in the way shim processed certain Machine Owner Keys (MOKs). A local attacker could potentially use this flaw to execute arbitrary code on the system.
Clone Of:
(edit)
Last Closed: 2014-11-04 18:50:31 UTC


Attachments (Terms of Use)
proposed patch (2.61 KB, patch)
2014-10-01 02:58 UTC, Murray McAllister
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1801 normal SHIPPED_LIVE Moderate: shim security update 2014-11-04 22:56:40 UTC

Description Murray McAllister 2014-10-01 02:45:47 UTC
A flaw was found in the way shim processed Machine Owner Keys (MOKs). This could lead to memory corruption in shim, possibly leading to arbitrary code execution.

Acknowledgements:

Red Hat would like to thank the SUSE Security Team for reporting this issue.

Comment 3 Murray McAllister 2014-10-01 02:58:09 UTC
Created attachment 942903 [details]
proposed patch

Comment 6 Murray McAllister 2014-10-14 03:59:54 UTC
Public now:

http://seclists.org/oss-sec/2014/q4/311

Comment 7 Murray McAllister 2014-10-14 04:03:00 UTC
Created shim tracking bugs for this issue:

Affects: fedora-all [bug 1152388]

Comment 9 Fedora Update System 2014-11-01 17:07:39 UTC
shim-0.8-1.fc22, shim-signed-0.8-1.fc22, mokutil-0.2.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Martin Prpič 2014-11-04 10:25:25 UTC
IssueDescription:

An out-of-bounds memory write flaw was found in the way shim processed certain Machine Owner Keys (MOKs). A local attacker could potentially use this flaw to execute arbitrary code on the system.

Comment 11 errata-xmlrpc 2014-11-04 17:56:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1801 https://rhn.redhat.com/errata/RHSA-2014-1801.html

Comment 12 Fedora Update System 2014-11-12 02:36:06 UTC
mokutil-0.2.0-1.fc19, shim-signed-0.8-2 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-11-12 02:41:02 UTC
mokutil-0.2.0-1.fc20, shim-signed-0.8-3 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.